net.corda.core.node.services

## Interface TransactionStorage

- All Superinterfaces:
    ReadOnlyTransactionStorage
  All Known Implementing Classes:
    DBTransactionStorage

      public TransactionStorage
      extends ReadOnlyTransactionStorage

  Thread-safe storage of transactions.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addTransaction(SignedTransaction transaction)` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

    - ### Methods inherited from interface net.corda.core.node.services.ReadOnlyTransactionStorage

      `getTransaction, getUpdates, track`

- - ### Method Detail

    - #### addTransaction

          boolean addTransaction(SignedTransaction transaction)

      Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

      Parameters:
        `transaction` - The transaction to be recorded.
      Returns:
        true if the transaction was recorded successfully, false if it was already recorded.